package org.playground.base.models;

import org.playground.base.models.enums.Type;
import org.playground.base.models.superClasses.BaseElement;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class ElementType extends BaseElement {

	@Basic
	@Column(unique = true)
	private String identifier;

	@Basic
	private Type type;

	public static ElementType of(Type type, String identifier) {
		ElementType newElementType = new ElementType();
		newElementType.setIdentifier(identifier);
		newElementType.setPlanType(type);

		return newElementType;
	}

	public String getIdentifier() {
		return this.identifier;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public Type getPlanType() {
		return type;
	}

	public void setPlanType(Type type) {
		this.type = type;
	}
}
