package org.playground.crud.dao;

import org.playground.base.TenantEntityManagerProvider;
import org.playground.base.models.ElementType;
import org.springframework.stereotype.Component;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Component
public class PlanElementTypeDao {

	private final TenantEntityManagerProvider tenantEntityManagerProvider;

	public PlanElementTypeDao(TenantEntityManagerProvider tenantEntityManagerProvider) {
		this.tenantEntityManagerProvider = tenantEntityManagerProvider;
	}

	public ElementType create(ElementType elementType) {
		elementType.setCreatedTimeMillis(System.currentTimeMillis());
		this.tenantEntityManagerProvider.getEntityManager().persist(elementType);
		return elementType;
	}

	public List<ElementType> deleteAll() {
		List<ElementType> elementTypes = this.tenantEntityManagerProvider.getEntityManager()
		                                                                 .createQuery(
				                                                                     "SELECT pet FROM ElementType pet ORDER BY pet.createdTimeMillis",
				                                                                     ElementType.class)
		                                                                 .getResultList();
		if(!CollectionUtils.isEmpty(elementTypes)) {
			for(ElementType elementType : elementTypes) {
				this.tenantEntityManagerProvider.getEntityManager().remove(elementType);
			}
		}
		return elementTypes;
	}
}