package org.playground.crud.services;

import org.playground.base.annotations.TenantReadTransaction;
import org.playground.base.annotations.TenantWriteTransaction;
import org.playground.base.models.Element;
import org.playground.crud.dao.PlanElementDao;
import org.playground.crud.services.interfaces.ElementService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ElementServiceImpl implements ElementService {

	private final PlanElementDao elementDao;

	ElementServiceImpl(PlanElementDao elementDao) {
		this.elementDao = elementDao;
	}

	@Override
	@TenantWriteTransaction
	public Element create(Element element) {
		return this.elementDao.create(element);
	}

	@Override
	@TenantReadTransaction
	public List<Element> findByType(Long typeId) {
		return this.elementDao.findByType(typeId);
	}

	@Override
	@TenantWriteTransaction
	public void deleteAll() {
		this.elementDao.deleteAll();
	}
}