package org.playground.crud.services;

import org.playground.base.annotations.TenantWriteTransaction;
import org.playground.base.models.ElementType;
import org.playground.crud.dao.PlanElementTypeDao;
import org.playground.crud.services.interfaces.ElementTypeService;
import org.springframework.stereotype.Service;

@Service
public class ElementTypeServiceImpl implements ElementTypeService {

	private final PlanElementTypeDao elementTypeDao;

	ElementTypeServiceImpl(PlanElementTypeDao elementTypeDao) {
		this.elementTypeDao = elementTypeDao;
	}

	@Override
	@TenantWriteTransaction
	public ElementType create(ElementType type) {
		return this.elementTypeDao.create(type);
	}

	@Override
	@TenantWriteTransaction
	public void deleteAll() {
		this.elementTypeDao.deleteAll();
	}
}